import Turtle.*;

/*****************************************
 * Large Assignment 3: Tiling
 * Name:    Ruby Ta
 * E-mail:  nta@unm.edu
 * Course:      CS491, Computational Fabrication
 * Submitted:    3/23/2022
 *
 * This program creates a set of Escher-esque tiles
***********************************************/
import processing.pdf.*;
Turtle t;


void setup(){
  background(255);
  size(800,800);
  t = new Turtle(this);
  beginRecord(PDF, "shape1"  + ".pdf");
  //diamond(100);
  //diamond2(200);
  shape1(200);
  endRecord();
}

public void draw(){
}

public void shape1(float len){
  t.right(60);
  t.forward(len/4);
  t.right(75);
  t.forward(len/6);
  t.left(90);
  t.forward(len/6);
  t.right(75);
  t.forward(len/4);
  t.left(130);
  t.forward(len/3);
  t.right(20);
  t.forward(len/3);
  t.left(130);
  t.forward(len/4);
  
  t.right(75);
  t.forward(len/6);
  t.left(90);
  t.forward(len/6);
  t.right(75);
  t.forward(len/4);
  t.left(130);
  t.forward(len/3);
  t.right(20);
  t.forward(len/3);
  t.left(130);
}

public void diamond2(float len){
  t.right(90);
  t.forward(len);
  t.left(90);
  t.forward(len*3/5);
  t.left(62);
  t.forward(len*3/5);
  t.left(90);
  t.forward(len);
}


public void diamond(float len){
  t.right(90);
  t.forward(len);
  t.right(45);
  t.forward(len- len/2.7);
  t.right(88);
  t.forward(len+len/2.4);
  t.right(95);
  t.forward(len+len/2.4);
  t.right(90);
  t.forward(len- len/2.7);
}
